# Requirements:
# * pre-commit
include:
  - project: "repos/cloud/cicd/gitlab-ci"
    file: "toolforge-cd/stages.yaml"
  - project: "repos/cloud/cicd/gitlab-ci"
    file: "toolforge-cd/caches.yaml"

variables:
  RUNNER_TAG: ""

pre-commit:
  image: "docker-registry.tools.wmflabs.org/cloud-cicd-py311bookworm-tox:latest"
  stage: test
  extends: .go-cache
  tags:
    - $RUNNER_TAG
  script:
    - pre-commit run -a
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
